##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2025                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


# Cmake config file which is generated by autoconf and installed into
# /usr/lib64/cmake/CubeGui/CubeGuiConfig.cmake - /usr/lib64 a

set(CubeGui_VERSION "4.9.0")
string(REGEX REPLACE "\\.$" "" CubeGui_VERSION ${CubeGui_VERSION})


# set PACKAGE_PREFIX_DIR to main installation directory
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Create imported target CubeGui
add_library(CubeGui SHARED IMPORTED)
set_target_properties(CubeGui PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${PACKAGE_PREFIX_DIR}/include/cubegui"
  INTERFACE_LINK_LIBRARIES "Qt5::Core;Qt5::Gui;Qt5::Widgets;Qt5::Network;Qt5::Concurrent;CubeLib"
)

set(LIBDIR /usr/lib64)
set(LIBRARY_VERSION_STRING 13:0:3)
string(REPLACE ":" "." LIBRARY_VERSION_STRING ${LIBRARY_VERSION_STRING})
string(REGEX MATCH "^[0-9]+" LIBRARY_VERSION_MAJOR ${LIBRARY_VERSION_STRING})

set_target_properties(CubeGui PROPERTIES
  IMPORTED_LOCATION "/usr/lib64/libcube4gui.so.${LIBRARY_VERSION_STRING}"
  IMPORTED_SONAME "libcube4gui.so.${LIBRARY_VERSION_MAJOR}"
)

message(STATUS "CubeGui Version ${CubeGui_VERSION} found")

# CubeLib is required for CubeGui plugins
find_package(CubeLib REQUIRED)

# Qt is required for CubeGui plugins
find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
find_package(Qt5 REQUIRED COMPONENTS Widgets Gui Network)
find_package(Qt5 OPTIONAL_COMPONENTS Concurrent WebEngineWidgets QUIET)
